#ifndef ETHERNETSETTINGS_H
#define ETHERNETSETTINGS_H

#include <QDialog>

namespace Ui {
class GenericSettings;
}

class GeneralSettingsTab;
class EthernetSettingsTab;
class Security802_1xTab;
class Ipv4SettingsTab;
class Ipv6SettingsTab;

class EthernetSettings : public QDialog
{
    Q_OBJECT

public:
    explicit EthernetSettings(QString connUuidStr, QWidget *parent = nullptr);
    ~EthernetSettings();

private slots:
    void onCancelButtonClicked();
    void onSaveButtonClicked();

private:
    Ui::GenericSettings *ui;

    QString targetConnUuidStr;
    GeneralSettingsTab *generalSettingsTab;
    EthernetSettingsTab *ethernetSettingsTab;
    Security802_1xTab *security802_1xSettingsTab;
    Ipv4SettingsTab *ipv4SettingsTab;
    Ipv6SettingsTab *ipv6SettingsTab;
};

#endif // ETHERNETSETTINGS_H
