#ifndef IPV6SETTINGSTAB_H
#define IPV6SETTINGSTAB_H

#include <QVariantMap>
#include <QWidget>

namespace Ui {
class Ipv6SettingsTab;
}

class Ipv6SettingsTab : public QWidget
{
    Q_OBJECT

public:
    explicit Ipv6SettingsTab(QWidget *parent = nullptr);
    ~Ipv6SettingsTab();

    QVariantMap readSettings();
    void loadSettings(QVariantMap settings);

private slots:
    void onMethodComboBoxCurrentIndexChanged(int index);
    void onEditDnsServersButtonClicked();
    void onEditSearchDomainsButtonClicked();
    void onManualIpv6ConfigurationAddButtonClicked();
    void onManualIpv6ConfigurationRemoveButtonClicked();

private:
    Ui::Ipv6SettingsTab *ui;
    QVariantMap origSettings;

    bool checkValidity();
};

#endif // IPV6SETTINGSTAB_H
