#ifndef WIFISETTINGS_H
#define WIFISETTINGS_H

class GeneralSettingsTab;
class WifiSettingsTab;
class Ipv4SettingsTab;
class Ipv6SettingsTab;

#include <QDialog>

namespace Ui {
class GenericSettings;
}

class WifiSettings : public QDialog
{
    Q_OBJECT

public:
    explicit WifiSettings(QString connUuidStr, QWidget *parent = nullptr);
    ~WifiSettings();

private slots:
    void onCancelButtonClicked();
    void onSaveButtonClicked();

private:
    Ui::GenericSettings *ui;

    QString targetConnUuidStr;
    GeneralSettingsTab *generalSettingsTab;
    WifiSettingsTab *wifiSettingsTab;
    Ipv4SettingsTab *ipv4SettingsTab;
    Ipv6SettingsTab *ipv6SettingsTab;
};

#endif // WIFISETTINGS_H
